%define major_version 2.10
%define gtkhtml_version_required 3.14.0
%define gnomepilot_version_required 2.0.14
%define gnomespell_version_required 1.0.5
%define libsoup_version_required 2.2.2
%define eds_version_required 1.9.4
%define with_mono 1
%{?_without_mono:	%{expand: %%global with_mono 0}}
%{?_with_mono:	%{expand: %%global with_mono 1}}

Name:		evolution
Summary:	Integrated GNOME mail client, calendar and address book
Version: 2.10.0
Release: %mkrel 5
License: 	GPL
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source2:	evolution_48.png
Source3:	evolution_32.png
Source4:	evolution_16.png
Patch:		evolution-2.2.3-no-diagnostics.patch
# (fc) 1.5.94.1-4mdk import welcome mail from indexhtml
Patch17:	evolution-2.5.4-firstmail.patch
# (fc) 2.2.3-5mdk enable autocompletion on personal addressbook when creating it (Mdk bug #16427)
Patch18:	evolution-2.2.3-defaultcompletion.patch
# (fc) 2.2.3-10mdk fix inline audio plugin extension
Patch23:	evolution-2.4.1-fixplugin.patch
# (fc) 2.6.1-1mdk fix eplugin warning
Patch24:	evolution-2.6.1-fixepluginwarning.patch
# gw fix bug #29703, use unversioned help file and dir
Patch25:	evolution-2.10.0-help-path.patch
# (fc) 2.18.0-4mdv security fix for CVE-2007-1002
Patch26:	evolution-2.18.0-CVE-2007-1002.patch
URL: 		http://www.gnome.org/projects/evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# (fc) 0.8-5mdk implicit dependency is not enough
Requires: evolution-data-server >= %{eds_version_required}
Requires: gtkhtml-3.14 >= %{gtkhtml_version_required}
Requires: gnome-spell >= %{gnomespell_version_required}
Requires: gnupg
Requires: scrollkeeper >= 0.3
Requires: spamassassin
Requires: gtk+2.0 >= 2.4.0
Requires: indexhtml >= 10.1
BuildRequires: bison flex
BuildRequires: dbus-devel
BuildRequires: libgnomeprintui-devel
BuildRequires: evolution-data-server-devel >= %{eds_version_required}
BuildRequires: gnome-pilot-devel >= %{gnomepilot_version_required}
BuildRequires: gtk+2-devel >= 2.4.0
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: krb5-devel 
BuildRequires: libgnomeui2-devel
BuildRequires: libgstreamer0.8-devel
BuildRequires: libgtkhtml-3.14-devel >= %{gtkhtml_version_required}
BuildRequires: libsoup-devel >= %{libsoup_version_required}
BuildRequires: nss-devel 
BuildRequires: openldap-devel 
BuildRequires: libnotify-devel >= 0.3.0
BuildRequires: gnome-icon-theme
BuildRequires: perl-XML-Parser
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: scrollkeeper
BuildRequires: desktop-file-utils
#gw if we run aclocal
BuildRequires: gnome-common
BuildRequires: automake1.9

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool. 

%package -n %{name}-devel
Summary:	Libraries and include files for developing Evolution components
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Requires:   libgnomeui2-devel
Obsoletes:	libevolution0-devel
Provides:	libevolution0-devel

%description -n %{name}-devel
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains the files necessary to develop applications
using Evolution's libraries.

%package pilot
Summary:	Evolution conduits for gnome-pilot
Group:		Communications
Requires:	%{name} = %{version}-%{release}
Requires:   gnome-pilot >= %{gnomepilot_version_required}

%description pilot
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains conduits needed by gnome-pilot to 
synchronize your Palm with Evolution

%if %with_mono
%package mono
Summary: Mono plugin loader for Evolution
Group: Communications
BuildRequires: mono-devel
Requires: %name = %version
Requires: mono

%description mono
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This is the Mono plugin loader that adds support for plugins developed 
with mono.
%endif

%prep
%setup -q
%patch -p1 -b .diagnostics
%patch17 -p1 -b .firstmail
%patch18 -p1 -b .defaultcompletion
%patch23 -p1 -b .fixplugin
%patch24 -p1 -b .fixepluginwarning
%patch25 -p1 -b .help-path
%patch26 -p1 -b .CVE-2007-1002

#needed by patch25
automake-1.9

#needed by patch25
for i in help/*/evolution.xml ; do
 mv $i "`dirname $i`/`basename $i .xml`-%{major_version}.xml"
done
mv help/evolution.omf.in help/evolution-%{major_version}.omf.in

%build

%configure2_5x --enable-pilot-conduits=yes \
--with-krb5=%{_prefix} --with-krb5-libs=%{_libdir} --without-krb4 \
--with-openldap=yes --with-static-ldap=no --with-sub-version="-%{release}" --enable-ipv6 --enable-default_binary \
%if %with_mono
--enable-mono=yes
%endif

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}  $RPM_BUILD_ROOT%{_liconsdir}  $RPM_BUILD_ROOT%{_miconsdir}
cp -f %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/evolution.png
cp -f %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/evolution.png
cp -f %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/evolution.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/evolution -c mail" \
	icon="evolution.png" \
	needs="X11" \
	section="Networking/Mail" \
	title="Evolution Email" \
	longtitle="GNOME mailer, calendar, contact manager and communications tool" \
	startup_notify="true" \
	xdg="true"
?package(%{name}): \
	command="%{_bindir}/evolution -c contacts" \
	icon="evolution.png" \
	needs="X11" \
	section="Office/Address Books" \
	title="Evolution Contacts" \
	longtitle="GNOME mailer, calendar, contact manager and communications tool" \
	startup_notify="true" \
	xdg="true"
?package(%{name}): \
	command="%{_bindir}/evolution -c calendar" \
	icon="evolution.png" \
	needs="X11" \
	section="Office/Time Management" \
	title="Evolution Calendar" \
	longtitle="GNOME mailer, calendar, contact manager and communications tool" \
	startup_notify="true" \
	xdg="true"
?package(%{name}): \
	command="%{_bindir}/evolution -c tasks" \
	icon="evolution.png" \
	needs="X11" \
	section="Office/Tasks Management" \
	title="Evolution Tasks" \
	longtitle="GNOME mailer, calendar, contact manager and communications tool" \
	startup_notify="true" \
	xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Office" \
  --remove-category="Calendar" \
  --remove-category="ContactManagement" \
  --add-category="Email" \
  --add-category="Network" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/evolution.desktop
sed -i -e 's/X-GNOME-Bugzilla-OtherBinaries=/X-GNOME-Bugzilla-OtherBinaries=evolution-2.10;/g' $RPM_BUILD_ROOT%{_datadir}/applications/evolution.desktop

sed -i -e 's/Exec=evolution-%{major_version}/Exec=evolution -c mail/g' $RPM_BUILD_ROOT%{_datadir}/applications/evolution.desktop

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-contacts.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Evolution Contacts
Comment=GNOME mailer, calendar, contact manager and communications tool
Exec=%{_bindir}/evolution -c contacts
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Office;ContactManagement;X-MandrivaLinux-Office-AddressBook
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-calendar.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Evolution Calendar
Comment=GNOME mailer, calendar, contact manager and communications tool
Exec=%{_bindir}/evolution -c calendar
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Office;Calendar;X-MandrivaLinux-Office-TimeManagement
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-tasks.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Evolution Tasks
Comment=GNOME mailer, calendar, contact manager and communications tool
Exec=%{_bindir}/evolution -c tasks
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Office;ProjectManagement;X-MandrivaLinux-Office-TasksManagement
EOF

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/gnome-pilot/conduits/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/components/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/plugins/*.la \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/camel-providers/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/conduits/*.la \
 %buildroot/var/lib/scrollkeeper


%{find_lang} %{name}-%{major_version} --with-gnome
%{find_lang} %{name} --with-gnome
cat %name.lang >> %{name}-%{major_version}.lang

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%define schemas apps_evolution_addressbook-%{major_version} apps_evolution_calendar-%{major_version} apps_evolution_shell-%{major_version} evolution-mail-%{major_version}

%post
%{update_scrollkeeper}
%{update_menus}
%post_install_gconf_schemas %{schemas}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{clean_scrollkeeper}
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}-%{major_version}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/%{major_version}
%dir %{_libdir}/evolution/%{major_version}/components
%{_libdir}/evolution/%{major_version}/csv2vcard
%{_libdir}/evolution/%{major_version}/evolution-addressbook-clean
%{_libdir}/evolution/%{major_version}/evolution-addressbook-export
%{_libdir}/evolution/%{major_version}/components/*.so
%{_libdir}/evolution/%{major_version}/*.so.*
%{_libdir}/evolution/%{major_version}/evolution-alarm-notify
%{_libdir}/evolution/%{major_version}/killev
%dir %{_libdir}/evolution/%{major_version}/plugins
 %{_libdir}/evolution/%{major_version}/plugins/libmail-account-disable.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-addressbook-file.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-audio-inline.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-c*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-d*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-bbdb.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-caldav.so
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-hula*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-imap*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-mail-attachments-import-ics.so
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-startup-wizard*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-exchange-operations.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-g*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-itip-formatter.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-m*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-new-mail-notify.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-p*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-s*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-a*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-c*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-d*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-bbdb.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-caldav.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-hula-account-setup.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-mail-attachments-import-ics.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-startup-wizard.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-exchange*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-folder-permissions.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-folder-subscription.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-groupwise-features.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-gw-account-setup.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-itip-formatter.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-imap*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mail-account-disable.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mail-to-task.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mail-to-task.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mailing-list-actions.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mailing-list-actions.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mark-all-read.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mark-calendar-offline.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-new-mail-notify.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-plugin-manager.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-plugin-manager.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-publish-calendar.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-publish-calendar.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-prefer-plain.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-print-message.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-print-message.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-sa-junk-plugin.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-save-calendar.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-select-one-source.eplug
%{_libdir}/evolution/%{major_version}/plugins/org-gnome-subject-thread.eplug
%{_libdir}/evolution/%{major_version}/plugins/publish-calendar.glade
%{_datadir}/applications/*
%{_datadir}/evolution
%{_datadir}/idl/*
%{_datadir}/mime-info/*
%_datadir/icons/hicolor/*/apps/evolution*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_menudir}/%{name}
%{_datadir}/omf/*

%files -n %{name}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/evolution/%{major_version}/*.so
%{_libdir}/evolution/%{major_version}/*.la

%if %with_mono
%files mono
%defattr(-, root, root)
%{_libdir}/evolution/%{major_version}/plugins/*mono*
%endif

%files pilot
%defattr(-, root, root)
%dir %{_libdir}/evolution/%{major_version}/conduits
%{_libdir}/evolution/%{major_version}/conduits/*.so
%{_datadir}/gnome-pilot/conduits/*


%changelog
* Mon Apr 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-5mdv2007.1
+ Revision: 150322
- Remove bug-buddy entries for additional .desktop, they are useless and will confuse bug-reporter

* Tue Mar 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-4mdv2007.1
+ Revision: 149268
- Patch26:  security fix for CVE-2007-1002

* Tue Mar 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-3mdv2007.1
+ Revision: 149140
- Fix bug-buggy executable info

* Wed Mar 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdv2007.1
+ Revision: 147482
- Remove some categories from .desktop
- add more info for bug-buggy in .desktop

  + Götz Waschk <waschk@mandriva.org>
    - fix gnome help call (bug #29703)

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.10.0-1mdv2007.1
+ Revision: 143226
- new version
- we now depend on gtkhtml-3.14

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.9.92-1mdv2007.1
+ Revision: 126160
- fix buildrequires
- new version
- new icons

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.9.91-1mdv2007.1
+ Revision: 120106
- new version

  + Pascal Terjan <pterjan@mandriva.org>
    - fix IMAP command when requesting custom headers (GNOME bug #400841)

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.9.6-1mdv2007.1
+ Revision: 112233
- fix buildrequires
- new version
- drop patch 25
- add new imap plugin
- reenable gtk-doc

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.9.4-2mdv2007.1
+ Revision: 109604
- emergency rebuild without gtk-doc
- rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.9.4-1mdv2007.1
+ Revision: 99495
- new version
- bump deps

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 2.9.3-2mdv2007.1
+ Revision: 92166
- rebuild

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.9.3-1mdv2007.1
+ Revision: 91149
- fix buildrequires
- new version
- bump deps
- add new files

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.9.2-5mdv2007.1
+ Revision: 88946
- fix buildrequires

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.9.2-4mdv2007.1
+ Revision: 88288
- bot rebuild

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.9.2-3mdv2007.1
+ Revision: 87903
- fix buildrequires for x86_64
- bot rebuild
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.8.2.1-1mdv2007.1
+ Revision: 86150
- new version
- update file list
- new version

* Thu Oct 12 2006 Götz Waschk <waschk@mandriva.org> 2.8.1-3mdv2007.1
+ Revision: 63825
- rebuild
- unpack patches
- Import evolution



* Mon Oct  9 2006 Gtz Waschk <waschk@mandriva.org> 2.8.1-1mdv2007.1
- fix buildrequires
- New version 2.8.1

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdv2007.0
- New release 2.8.0
- bump deps
- Patch25 (Nathan Owens): fix support with pilot-link 0.12

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.92-1mdv2007.0
- Release 2.7.92

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.7.91-1mdv2007.0
- New release 2.7.91

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.90-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 2.7.90-1mdv2007.0
- bump deps
- New release 2.7.90

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.4-2mdv2007.0
- Rebuild with latest libgail

* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 2.7.4-1mdv2007.0
- bump deps
- New release 2.7.4

* Thu Jun 29 2006 Gtz Waschk <waschk@mandriva.org> 2.7.3-1mdv2007.0
- drop patches 25,26
- fix xdg menu comments
- New release 2.7.3

* Mon Jun 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.2.1-4mdv2007.0
- Switch to XDG menu
- rename .desktop file into a non versioned name
- use new macros

* Fri Jun 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.2.1-3mdv2007.0
- Update patch25 with additionnal fix

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.2.1-2mdv2007.0
- Patch25 (CVS): fix e-table header crash (Mdv bug #22991) (GNOME bug #343764)
- Patch26 (CVS): fix crash in e-map (GNOME bug #331743)

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.2.1-1mdv2007.0
- Release 2.7.2.1

* Tue May 30 2006 Gtz Waschk <waschk@mandriva.org> 2.6.2-1mdv2007.0
- drop patch 25
- New release 2.6.2

* Thu May 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.1-2mdk
- Patch25 (CVS): fiv various exchange plugin bugs (including mdk bug #22398)

* Thu Apr 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.1-1mdk
- Release 2.6.1
- Regenerate patch17
- Patch24: fix eplugin warning

* Thu Jan 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.2.1-3mdk
- Fix buildrequires when both gstreamer 0.8 and 0.10 are available

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 2.4.2.1-2mdk
- rebuild for new dbus

* Wed Dec  7 2005 Gtz Waschk <waschk@mandriva.org> 2.4.2.1-1mdk
- drop patch 24
- New release 2.4.2.1
- use mkrel

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-3mdk
- Patch24 (CVS): many bug fixes from CVS

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-2mdk
- Rename .desktop file to a non-versioned name

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdk
- New release 2.4.2

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-4mdk
- rebuilt against openssl-0.9.8a

* Thu Nov 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-3mdk
- Rebuild with new dbus

* Fri Oct  7 2005 Gtz Waschk <waschk@mandriva.org> 2.4.1-2mdk
- add mono support (disabled by default)

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-1mdk
- Release 2.4.1
- Remove patches 19, 20, 21, 22, 24 (merged upstream)
- Regenerate patch 23

* Wed Sep 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-10mdk 
- Patch22: fix inline audio plugin extension
- Patch23 (CVS): various crashes fixes from CVS

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 2.2.3-9mdk
- rebuild to remove glitz dep

* Tue Aug 30 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.3-8mdk
- Rebuild for libldap2.3

* Tue Aug 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-7mdk 
- Patch22: fix vulnerability SA05-001

* Sun Aug 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.3-6mdk
- add BuildRequires: dbus-devel gtk-doc intltool libgstreamer-devel

* Wed Jul 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-5mdk 
- Patch18: enable autocompletion on personal addressbook when
  creating it (Mdk bug #16427)
- Patch19: Remove e-shell-startup-wizard, now handled by e-plugins.
- Patch20: fix startup wizard, exit evolution when closed by WM, remove some
  warnings
- Patch21: add missing header
- Remove .la files for plugins

* Fri Jun 17 2005 Andreas Hasenack <andreas@mandriva.com> 2.2.3-4mdk
- rebuilt without krb4

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.3-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Mon Jun  6 2005 Gtz Waschk <waschk@mandriva.org> 2.2.3-2mdk
- fix the csv2vcard script to make evo installable

* Sun Jun  5 2005 Gtz Waschk <waschk@mandriva.org> 2.2.3-1mdk
- drop patch 18
- New release 2.2.3

* Tue May 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-3mdk 
- Applying patch usually works better..

* Tue May 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-2mdk 
- Patch18: really kill evolution-data-server when using --force-shutdown
- fix url

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-1mdk 
- Release 2.2.2 (based on Gtz Waschk package)
- Remove patches 15 (no longer needed), 18 (merged upstream)

* Tue Mar 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-3mdk 
- Patch18 (CVS): security fix for mail crasher
- Drop patch 2 (no longer needed)

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-2mdk 
- Add multiple menu entries (Mdk bug #13850)

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk 
- Release 2.0.4
- Remove patch18 (merged upstream)

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-4mdk 
- Patch18 (CVS): Security fix for CAN-2005-0102

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.3-3mdk
- rebuild for ldap2.2_7

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk 
- Rebuild with latest howl

* Tue Dec  7 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- New release 2.0.3

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- New release 2.0.2
- Remove patches 16, 30, 31, 32, 33, 34, 35 (merged upstream)

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch33 (CVS): fix crash with null UID
- Patch34 (CVS): don't crash when deleting addressbook
- Patch35 (CVS): fix potential crash when migration from 1.2

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Remove patches 18->29, 31->34 (merged upstream)
- Patch31 (CVS): fix iTip crash
- Patch32 (CVS): fix popup location

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Update patch18 with a new version
- Update patch24 with another conduit fix
- Patch29: fix IPv6 support
- Patch30: fix vcard import
- Patch31: don't allow system calendar deletion
- Patch32: don't crash on empty tasks
- Patch33: fix basic authentication for http
- Patch34: select right account when replying on maildir

* Wed Sep 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Enable patch18 with a new version
- Patch19: fix duplicated folders when using Maildir
- Patch20: SSL is now cancellable and asynchronous
- Patch21: fix saving tree state
- Patch22: fix week view
- Patch23: fix crash on event deletion
- Patch24: fix calendar conduit on monthly recurrence
- Patch25: fix crash on view change
- Patch26: fix notification on event
- Patch27: fix alarm notification around midnight
- Patch28: i18n folder

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0
- Disable patch18, it causes regression on HTML sent by mozilla
- Remove patches 19, 20, 21 (merged upstream)

* Mon Sep 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.94.1-4mdk
- ipv6 is back, bug fixed in glibc (Mdk bug #10929)
- Patch17 : get welcome mail from indexhtml (and remove source7)
- Patch18 (CVS): fix mutipart decoding (Mdk bug #10507)
- Patch19 (CVS): fix smime certification import
- Patch20: disable development splash
- Patch21 (CVS): fix crash in alarm notification

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.94.1-3mdk
- Enable libtoolize, relinking at install seems fixed

* Tue Aug 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.94.1-2mdk
- Patch16 (Rodrigo): enable local calendar/todo when migrating

* Tue Aug 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.94.1-1mdk
- Release 1.5.94.1
- Remove patches 16, 17, 18 (merged upstream)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-4mdk
- Rebuild with latest libsoup

* Wed Aug 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-3mdk
- Disable IPv6 support, it seems to trigger strange crashes (Mdk bug #10929)

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-2mdk
- Patch16: various bub fixes in importer
- Patch17: fix error in gu po, causing gconf warning
- Patch18: fix warnings when using GTK+2.4

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-1mdk
- Release 1.5.93
- Remove patches 3 (another solution merged upstream), 20 & 22(merged upstream)

* Tue Aug 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.92.2-2mdk
- Rebuild with latest eds

* Wed Aug 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.92.2-1mdk
- new version

* Thu Aug  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.92.1-1mdk
- drop patch 23
- new version

* Tue Aug  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.92-1mdk
- bump deps
- new version

* Tue Jul 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.91-2mdk
- Remove patch 21 (merged upstream)

* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.91-1mdk
- bump deps
- rediff patch 21
- new version

* Mon Jul 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.90-4mdk
- Patch22 (Fedora): use new GTK filechooser

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.90-3mdk
- Enforce gal library dependency (Mdk bug #10248)

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.90-2mdk
- Patch21 : fix i18n issues with schema (Mdk bug #10160)

* Tue Jul  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.90-1mdk
- update file list
- bump deps
- New release 1.5.90

* Fri Jun 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.9.2-2mdk
- fix buildrequires

* Thu Jun 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.9.2-1mdk
- requires new eds
- New release 1.5.9.2

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.9.1-1mdk
- add new files
- requires new eds, gtkhtml, gal
- new version

* Sat May 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.8-1mdk
- drop merged patches 21,22
- rediff patches 2,15
- requires new eds
- new version

* Fri May 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.7-3mdk
- fix autoconf call
- fix URL
- bump deps
- rebuild against new gtkhtml

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.7-2mdk
- Patch22 (CVS): fix crash when doubleclicking mail
- Fix devel dependency (Austin)
- Requires spamassassin (it is recommended to also install spamc/spamd)

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.7-1mdk
- Release 1.5.7
- Remove patches 10, 18, 21 (no longer relevant), 19 (merged upstream)
- Patch21: fix crash when migratng from 1.4.x

* Wed Mar 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.6-2mdk
- Patch19 (gb): add missing includes
- Patch20 (gb): lib64 fixes
- Patch21 (gb): add PIC for static libs

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.6-1mdk
- Release 1.4.6
- Remove patches 11, 12, 13, 14, 16, 17 (merged upstream)
- Update patch15 to try to workaround again cyrus bad performance 
  (Mdk bug #6167)

* Fri Feb 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.5-4mdk
- add source7: new default mail

* Wed Jan 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.5-3mdk
- Patch18: remove some perl modules in csv2vcard script 

* Mon Dec 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.5-2mdk
- Patch17: fix function name (Mdk bug 6463, fix from Chris Gleba)

* Tue Oct 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.5-1mdk
- Release 1.4.5
- Remove patches 4, 5, 6, 7, 8, 9, 11, 12 (merged upstream)
- Patch11 : fix scaling performance (Mdk bug 6065)
- Patch12 : fix mail wizard when gecos name is local encoded
- Patch13 (CVS) : use correct font for printing
- Patch14 : fix broken date format detection when parsing
- Patch15 : try to improve performance with Cyrus IMAP server
- Patch16 : ensure encoding is correctly set for new users

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-8mdk
- Update patch11 with Evo hackers comments

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-7mdk
- Patch12 : fix TODO conduit (Mdk bug #5348)

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-6mdk
- Fix shortcuts migration from Evo 1.2 (Mdk bug #4927)
- Update patch9 with other CVS fixes

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-5mdk
- Patch9 (CVS): a lot of various fixes, including the one for bug #4576
- Patch10: add MandrakeSecure to default RSS feeds (bug #4919)
- Fix BuildRequires

* Fri Aug 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-4mdk
- Patch8 : add missing UTF-8 conversion to alarm notify daemon

* Thu Aug 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-3mdk
- Patch5 (CVS): fix crash when unloading addressbook
- Patch6 (CVS): fix crash in addressbook pilot conduit (Mdk bug #4099)
- Patch7 (CVS): ensure calendar daemon is correctly session registered (CVS)

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-2mdk
- Patch3 (CVS): fix attachement icons loading when composing a mail

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.4.4-1mdk
- Release 1.4.4

* Mon Jul 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.4.3-2mdk
- Rebuild against latest kerberos

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.4.3-1mdk
- Release 1.4.2
- Remove patch3 (merged upstream)
- Add missing files to devel package (bug #4133)

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.4.0-1mdk
- Release 1.4.0
- Remove patches 4 & 5 (merged upstream)
- Patch3: remove ALL generated files

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.3-1mdk
- Release 1.3.3
- Remove patches 1 (no longer needed) & 3 (merged upstream)
- Patch5 (CVS): fix default value in schema

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-1mdk
- Patch4: fix tools directory location

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-1mdk
- Release 1.3.2 (GNOME2)
- Regenerate patch1
- Patch3 (CVS): fix gconf key

* Tue Apr  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.4-1mdk
- Release 1.2.4

* Wed Mar 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.3-1mdk
- Release 1.2.3 (fixes Mdk bug 3510)
- Remove patches 0, 8, 9, 10, 11, 12, 13 (merged upstream)

* Thu Mar 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.2-3mdk
- Patch13 : Security fix

* Thu Mar  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.2-2mdk
- Patch12 (CVS): fix password prompt (locale encoding problem)

* Tue Mar  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.2-2mdk
- Patch8 (CVS): fix GConf proxy key (Mdk bug #1779)
- Patch9 (CVS): fix crash in addressbook (Ximian bug #37881)
- Patch10 (CVS): fix SSL with IPv6
- Patch11 (CVS): fix GPG signing (Mdk bug #1316)

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2
- Remove patch8 (merged upstream)

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1
- Remove patches 6 & 9 (merged upstream)
- Regenerate patch8

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- Patch9 (CVS): fix crash in Settings (bug #33554)

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk
- Enforce dependencies on library package

* Tue Nov 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0
- Patch8: ensure translation returned by oaf are in utf-8

* Thu Nov  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.90-1mdk
- Release 1.1.90 (ie 1.2 RC1)
- Regenerate patches 1, 2 & 6
- Remove patches 3 & 5 (merged upstream)

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-3mdk
- Recompiled against latest gnome-pilot

* Fri Jul 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-2mdk
- Recompiled against latest gnome-pilot

* Fri Jun 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8
- Libification
- Patch6: use DTD compliant scrollkeeper file
- Regenerate patch 3
- Fix BuildRequires

* Fri Jun 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7
- Remove patch 4 (merged upstream)

* Thu Jun 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-5mdk
- Recompiled against latest gnome-pilot

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-4mdk
- Fix build with mozilla 1.0.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-3mdk
- Update patch 4 with official fix
- Fix corrupted db3 tarball in source rpm

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-2mdk
- Patch4: fix crash when attaching file in mail composer
- Fix BuildRequires (Thanks to Fabien Shum-King)

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5
- Remove patch3 (merged upstream)
- Patch3 : don't statically link nss

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4
- Patch3 : fix Camel security issue (bug 24140)

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3
- Regenerate patch 2
- Remove patches 3 & 4 (merged upstream)

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-6mdk
- Allow build without $DISPLAY setted

* Thu Mar 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.2-5mdk
- updated Basque translation

* Tue Feb 26 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.2-4mdk
- Integrated Basque translation

* Tue Feb 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Patch5: call conduit pilot applet, not Pilot link applet

* Mon Feb 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Patch1: Fix KDE detection
- Patch2: Fix subversion in message header (Thanks to Christian Bricart)
- Patch3 (CVS): fix file url when launching helper program (bug 20456)
- Patch4 (CVS): fix crash in My Evolution when going offline

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Unbzipped and update png files in sources

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-2mdk
- xpm -> png icons

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Remove patch1 (merged upstream)
- Use subversion to help Ximian folks to triage bugs
- Be sure to use a fresh version of gnome-pilot.m4 (from gnome-common)

* Thu Dec 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Patch1 (CVS): fix mail crash

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Tue Nov 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.2-1mdk
- Release 0.99.2
- Update gnome-pilot m4 file
- Regenerate patch0

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.0-1mdk
- Release 0.99.0
- Remove patches 1 & 2 (merged upstream)

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-4mdk
- Patch2: Fix calendar component

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-3mdk
- Fix bustage between gconf and gal (from Debian)

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 0.15-2mdk
- BuildRequires: libxml-devel

* Mon Oct 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-1mdk
- Release 0.15
- Patch1: fix compilation (from GNOME CVS)

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-2mdk
- Remove strange dependency on libgal11

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-1mdk
- Release 0.14
- Remove patches 1, 2, 3 (merged upstream)
- File locking is back (should work on NFS also)

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.13-4mdk
- BuildRequires: bison flex gdk-pixbuf-devel libsasl-devel openssl-devel
  popt-devel xml-i18n-tools
- Removed redundant BuildRequires.

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-3mdk
- Patch 3: Fix compilation with latest gnome-vfs
- Patch 2: Fix bug 4991 (duplicate of ximian bug 9419)

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-2mdk
- Explicit dependency on oaf to prevent problem 
- Fix i18n problems (from GNOME cvs)

* Fri Sep  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-1mdk
- Release 0.13
- Register Evolution as GNOME mail handler
- Patch0: Compiled with kerebos support
- Enable pilot conduits

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12
- Remove patch0 (merged upstream)

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-2mdk
- Disable file locking => should correct evolution over nfs problem

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11
- Remove patch 5 & 6 (merged upstream)
- Regenerate patch 0
- Remove movemail, no longer needed

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-2mdk
- Enable ssl
- Patch6: recompiled against latest gtkhtml/gal

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10
- Remove patch 3 (merged upstream)
- Upgrade build requirement to openldap 2, libgal6
- Prepare build with ssl (not enabled yet since it crash)

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-5mdk
- Patch 5 : enable activating gpg support by default

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-4mdk
- Update patch 0 to allow importing mailbox

* Mon Apr  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Correct dependencies and build dependencies

* Wed Mar 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Compiled with ldap support
- Patch 0 : initialize gconf before gtkhtml
- Patch 4 : correct addressbook #define
- Don't generate pilot conduits, since we don't have a working abs sync conduit

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9
- Remove patches 1 & 2

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-9mdk
- patch 2 to compile with latest version of gal
- Update patch 0 again
- Rebuilt against latest gnome-vfs and gnome-print

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-8mdk
- Update patch 0 to correct addressbook crashes

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-7mdk
- Rebuild against gtkhtml 0.8.2

* Thu Jan 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-6mdk
- add movemail program (extract from Emacs) and remove setgid on evolution-mail

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-5mdk
- Add explicit dependency on gnome-vfs

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Recompiled with oaf 0.6.2

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Change group/perms for evolution-mail to be able to access mail spool mbox

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- patch to compile with last bonobo
- Recompile since gtkhtml now use gconf

* Mon Dec 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Really remove dependency on old libstdc++

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6-2mdk
- simple rebuild (new libstdc++)

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Disable LDAP (OpenLDAP 2.0 not supported yet)

* Mon Sep 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Fri Sep 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- add missing icons

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5 (+ merge from Helix 0mdk_helix_1)

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1 (merge from Helix 0_helix_1)
- no longer conflict with gnome-pim

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- add dependency on gnome-vfs
- add menu entry

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1
- first mandrake package : BM + macroszification
- Build without GConf

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file
